%define fontname hanazono-mincho
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Hanazono mincho font
Summary(ja): 花園明朝フォント
Version: 20130222
Release: 1%{?_dist_release}
License: Hanazono Font License, OFL
Group: User Interface/X
URL: http://fonts.jp/hanazono/

Source0: hanazono-%{version}.zip

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

BuildRequires: unzip
Requires: TrueType-%{fontname}-doc

%description
Hanazono mincho font is Japanese TrueType mincho font 
that made by KAGE system and FontForge.
This font contains about 80,214 characters (and 2 SPACEs) 
defined in ISO/IEC 10646 standard / the Unicode standard.

%description -l ja
花園明朝フォントは KAGE システムと FontForge により作成された
日本語 TrueType 明朝フォントです。
このフォントに含まれている文字種は ISO/IEC 10646および
Unicode 標準に収録されている80,214文字（と2つのスペース）となります。

%package doc
Summary: Hanazono font documents
Summary(ja): 花園明朝フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents 
for Hanazono mincho font includes enduser license.

%description -l ja doc
このパッケージには花園明朝フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -c -T
%{_bindir}/unzip -oq %{SOURCE0}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/*.ttf

%files doc
%doc LICENSE.txt README.txt THANKS.txt

%changelog
* Wed Feb 27 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20130222-1
- new upstream release

* Thu Apr 26 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20120421-1
- new upstream release

* Fri Feb 10 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20120202-1
- initial build for VineSeed
